Bug 172084 - New ioquake3-devel and iourbanterror source release
Summary: New ioquake3-devel and iourbanterror source release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jase Thew
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-26 07:50 UTC by kamikaze
Modified: 2012-09-30 16:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2012-09-26 07:50:09 UTC
Update to the latest ioq3 SVN:
- > 50 bug fixes
- Adds r_mode -2 to use the desktop resolution

Fix: --------------040901050700040600090503
Content-Type: text/plain; charset=UTF-8;
 name="patch-ports-games-ioquake3.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-ports-games-ioquake3.txt"



--------------040901050700040600090503----YGvgS9Dxu4jMOiXfkoxChHezFXBheWc5PAOQOBxrOorQb2tS
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -Nur ports/games/ioquake3-devel.orig/Makefile ports/games/ioquake3-devel/Makefile
--- ports/games/ioquake3-devel.orig/Makefile	2012-09-25 20:07:52.000000000 +0200
+++ ports/games/ioquake3-devel/Makefile	2012-09-25 20:22:20.000000000 +0200
@@ -7,7 +7,7 @@
 
 PORTNAME?=	ioquake3-devel
 DISTVERSION?=	1.36_SVN${SVNREVISION}
-PORTREVISION?=	1
+PORTREVISION?=	0
 MASTER_SITES?=	ftp://deponie.yamagi.org/freebsd/distfiles/ioquake3/ \
 		http://deponie.yamagi.org/freebsd/distfiles/ioquake3/
 
@@ -20,7 +20,7 @@
 PATCHDIR?=	${WRKDIR}/freebsd-patchset/
 PKGMESSAGE?=	${.CURDIR}/../${PORTNAME}/pkg-message
 
-SVNREVISION?=	2244
+SVNREVISION?=	2318
 BINSUFFIX?=	-devel
 
 HAS_DLRENDERER?=	yes
diff -Nur ports/games/ioquake3-devel.orig/distinfo ports/games/ioquake3-devel/distinfo
--- ports/games/ioquake3-devel.orig/distinfo	2012-09-25 20:07:52.000000000 +0200
+++ ports/games/ioquake3-devel/distinfo	2012-09-25 20:19:51.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (ioquake3-devel-1.36_SVN2244.zip) = a7ade108c015a1aa572082900a9995371d7853d6953226ef93bdfad9e46583fb
-SIZE (ioquake3-devel-1.36_SVN2244.zip) = 5650901
+SHA256 (ioquake3-devel-1.36_SVN2318.zip) = 5e82c2108425ef3ce7de463ea924b8b83e6d84b38a60c4561195b4d37ab76c15
+SIZE (ioquake3-devel-1.36_SVN2318.zip) = 5657343
Comment 1 Jase Thew freebsd_committer 2012-09-27 15:21:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jase

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-30 16:28:52 UTC
Author: jase
Date: Sun Sep 30 15:28:42 2012
New Revision: 305081
URL: http://svn.freebsd.org/changeset/ports/305081

Log:
  - Update to 1.36_SVN2318 [1]
  - Convert to new format Makefile header
  
  PR:		ports/172084 [1]
  Submitted by:	Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  Approved by:	flo, culot (mentors, implicit)

Modified:
  head/games/ioquake3-devel/Makefile   (contents, props changed)
  head/games/ioquake3-devel/distinfo   (contents, props changed)

Modified: head/games/ioquake3-devel/Makefile
==============================================================================
--- head/games/ioquake3-devel/Makefile	Sun Sep 30 14:31:53 2012	(r305080)
+++ head/games/ioquake3-devel/Makefile	Sun Sep 30 15:28:42 2012	(r305081)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	ioquake3-devel
-# Date created:				31 Aug 2009
-# Whom:					Dominic Fandrey
-#
+# Created by: Dominic Fandrey
 # $FreeBSD$
-#
 
 PORTNAME?=	ioquake3-devel
 DISTVERSION?=	1.36_SVN${SVNREVISION}
-PORTREVISION?=	1
+PORTREVISION?=	0
 MASTER_SITES?=	ftp://deponie.yamagi.org/freebsd/distfiles/ioquake3/ \
 		http://deponie.yamagi.org/freebsd/distfiles/ioquake3/
 
@@ -20,7 +16,7 @@ DISTINFO_FILE?=	${.CURDIR}/../${PORTNAME
 PATCHDIR?=	${WRKDIR}/freebsd-patchset/
 PKGMESSAGE?=	${.CURDIR}/../${PORTNAME}/pkg-message
 
-SVNREVISION?=	2244
+SVNREVISION?=	2318
 BINSUFFIX?=	-devel
 
 HAS_DLRENDERER?=	yes

Modified: head/games/ioquake3-devel/distinfo
==============================================================================
--- head/games/ioquake3-devel/distinfo	Sun Sep 30 14:31:53 2012	(r305080)
+++ head/games/ioquake3-devel/distinfo	Sun Sep 30 15:28:42 2012	(r305081)
@@ -1,2 +1,2 @@
-SHA256 (ioquake3-devel-1.36_SVN2244.zip) = a7ade108c015a1aa572082900a9995371d7853d6953226ef93bdfad9e46583fb
-SIZE (ioquake3-devel-1.36_SVN2244.zip) = 5650901
+SHA256 (ioquake3-devel-1.36_SVN2318.zip) = 5e82c2108425ef3ce7de463ea924b8b83e6d84b38a60c4561195b4d37ab76c15
+SIZE (ioquake3-devel-1.36_SVN2318.zip) = 5657343
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jase Thew freebsd_committer 2012-09-30 16:30:32 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!